# Opal_PCM_Linear16Mono Class Reference

`#include <transcoders.h>`

Inheritance diagram for Opal_PCM_Linear16Mono:

[legend]
Collaboration diagram for Opal_PCM_Linear16Mono:
[legend]

## Public Member Functions

| Opal_PCM_Linear16Mono ()
virtual int | ConvertOne (int sample) const

## Constructor & Destructor Documentation

Opal_PCM_Linear16Mono::Opal_PCM_Linear16Mono | ( |  | ) |

## Member Function Documentation

virtual int Opal_PCM_Linear16Mono::ConvertOne | ( | int | sample | ) | const`[virtual]`

Convert one sample from one format to another. This function takes the input data as a single sample value and converts it to its output format.

Returns converted value.

Implements OpalStreamedTranscoder.

The documentation for this class was generated from the following file:

- transcoders.h